# What is Markdown

Markdown is a way to style text on the web. You control the display of the 
document; formatting words as bold or italic, adding images, and creating 
lists are just a few of the things we can do with Markdown. Mostly, Markdown 
is just regular text with a few non-alphabetic characters thrown in, like `#` or `*`.

## Syntax guide
Here’s an overview of Markdown syntax that you can use.

### Header
``` 
# This is an <h1> tag
## This is an <h2> tag
###### This is an <h6> tag
```

### Emphasis

```  
*This text will be italic*
_This will also be italic_

**This text will be bold**
__This will also be bold__

_You **can** combine them_
```

### Lists

#### Unordered
``` 
* Item 1
* Item 2
  * Item 2a
  * Item 2b
```

#### Ordered
``` 
1. Item 1
1. Item 2
1. Item 3
   1. Item 3a
   1. Item 3b
```

### Links

``` 
http://github.com - automatic!
[GitHub](http://github.com)
```

### Block quotes
``` 
As Kanye West said:

> We're living the future so
> the present is our past.
```

### Math expressions
```  
    ```math
    a = sum(a^2+ sin(x) ) 
    ```
```
